//+------------------------------------------------------------------+
//|                                                      TFColor.mq4 |
//|                                                         xFrienDx |
//|                                               ffriend@rambler.ru |
//+------------------------------------------------------------------+
#property copyright "xFrienDx"
#property link      "ffriend@rambler.ru"
#import "TFColor.ex4"

//+------------------------------------------------------------------+
//                                                  |
//+------------------------------------------------------------------+

//  .
string WAVE_NAMES[] = {
"A","B","C","4srp","5/skB","a(C)","b(C)","a(@)","b(@)","ys"};
//  .
int ALL_TF[] = {
1,2,3,5,10,15,20,30,45,60,120,180,240,360,480,960,1440,2880,4320,10080,20160,30240,43200,86400,172800
};
//   .
string ALL_TF_NAME[] = {
"M1","M2","M3","M5","M10","M15","M20","M30","M45","H1","H2","H3","H4","H6","H8","H16","D1","D2","D3","W1","W2","W3","MN1","MN2","MN4"
};
//   .
int ALL_TF_COLOR[] = {
0xFF00FF,0x00A5FF,0x696969,0xFF0000,0xFFBF00,0x0000FF,0x32CD32,0x000000,0xA9A9A9,0x006400,0xD30094,0x000080,0x9314FF,0xFF901E,0x008CFF,0x908070,0xCD0000,0xD1CE00,0x008000,0x0045FF,0x701919,0x20A5DA,0x71B33C,0xCC3299,0x800000
};
//      .
int SHOW_ON_TF[] = {
7,7,7,31,31,63,63,63,63,127,127,127,255,255,255,255,511,511,511,511,511,511,511,511,511 
};
//  .
int REAL_TF[] = {PERIOD_M1, PERIOD_M5, PERIOD_M15, PERIOD_M30, PERIOD_H1, PERIOD_H4, PERIOD_D1, PERIOD_W1, PERIOD_MN1};
// ,         !!!
 
//+------------------------------------------------------------------+
//                                                          |
//+------------------------------------------------------------------+

//  #include "..\scripts\Object_TFColorLegend.mq4"
int COLORS_LEFT_POS = 250; // 
int COLORS_TOP_POS = 3; // 

//  -
double FIBO_LEVELS[] = {0.0, 0.118, 0.236, 0.382, 0.5, 0.618, 0.764, 0.882, 
                        1.0, 1.118, 1.236, 1.382, 1.5, 1.618, 1.764, 1.882, 
                        2.0, 2.236, 2.382, 2.5, 2.618, 2.764, 
                        3.0, 3.236, 3.382, 3.5, 3.618, 3.764, 
                        4.0, 4.382, 4.5, 4.618};
                        
//+-------------------------------------------------------------------------------------------------------+//
//|      ,       MQL4     |//
//|                        .     !!!!!!                   |//
//+-------------------------------------------------------------------------------------------------------+//

int FIBO_IMPULS  =  1;
int FIBO_NORMAL  =  0;
int FIBO_CORRECT = -1;
int FIBO_TYPE_ERROR = -2;

//     .
string WAVE_LINE = "WaveLine"; 
string WAVE_NAME = "WaveName"; 
string FIBO_SCALE = "FiboScale"; 
string TARGET = "Target"; 
string NK = "NK";
string PIVOT = "Pivot";
string ALL = "ALL";

//+------------------------------------------------------------------+
//                                                            |
//+------------------------------------------------------------------+

//      Print       PRINT_DEBUG.
//string sMessage - ,   .
void PrintD(string sMessage);

//       .
//string sName -  .
void SetObjectVisibleOnTF(string sName);

//          .    .
//string sName -  .
//string sType -  ,   .   : WAVE_LINE - , WAVE_NAME -  ,
//FIBO_SCALE - , TARGET -  , NK -  , PIVOT - , ALL -    .
string GetVATSMFObjectName(string sName, string sType);

//           .
//string sName -  .
string Object_Number(string sName);

//      .
//string sName -  .
string Object_Name(string sName);

//      .  1 -    , -1 - , 0 - .   - .
//string sName -  .
int Object_Direction(string sName);

//   (nSide = 1)   (nSide = 2)    .
//string sName -  .
//int nSide -    .
datetime Time_(string sName, int nSide);

//   (nSide = 1)   (nSide = 2)    .
//string sName -  .
//int nSide -    .
double Price_(string sName, int nSide);

//    FIBO, TRENDLINE, TEXT, RECTANGLE
//string sName -  .
//color clColor -  .
string RenameObjectForVATSMF(string sName, color clColor);

//  -: FIBO_IMPULS - , FIBO_NORMAL - , FIBO_CORRECT - , FIBO_TYPE_ERROR -    
//string sName -  .
int IsFiboImpulse(string sName);

//       
//color clColor -      sName
//string sName -  .
void SetObjectColor(string sName, color clColor);

//   ,          
//color clColor -     
int GetShownTFsByColor(color clColor);

//     PERIOD_M1, PERIOD_M5  ..
//int nTimeFrame -   (PERIOD_M1, PERIOD_M5  ..)
color GetColorByTF(int nTimeFrame);

//   
//color clColor -      
int GetTFByColor(color clColor);

//  ,   PERIOD_M1  "M1",  PERIOD_M5  "M5"  ..
//int nTimeFrame -   (PERIOD_M1, PERIOD_M5  ..)
string GetTFName(int nTimeFrame);

//     
//color clColor -       TF
string GetTFNameByColor(color clColor);

//        .
//string sName -   .
color GetColorByTFName(string sName);

//  
//string sName -  .
void MakeFiboImpulse(string sName);

//  
//string sName -  .
void MakeFiboCorrection(string sName);

//      
//string sName -  .
void ObjectPropertiesForm(string sName);

//      
void ChangeSetingsForm();

//        .
void DeleteObjectsForm();

//    
//string sName -  .
string CreateFibo(string sName, int nPeriod);

//     
//string sName -  .
//string WaveName -  .
//int nPeriod -  .
void CreateWaveName(string sName, string WaveName, int nPeriod);

//     .
bool CloseScriptOnPressedHotKey();

//     .
void ResetHotKeyState();

//   ,        ,       .
//string sName -  .
string GetWaveName(string sName);

//      .
string FontFace();

//          .         ,     ,    .
string AdjustPivot(string sName);

//    (, , )   .
//string sName -  .
//string sType - WAVE_LINE - , NK -  , PIVOT - .
//int nObj -   .
string FindYoungerTFObject(string sName, string sType, int nObj);

//         .
//string sName -  , int nShift -   , -1   , -2      ..
//1   , 2    . 
string FindSameTFWave(string sName, int nShift);

//   c      . nShift       .
//, -2         ,           ,
//1              .
string FindElderTFWave(string sName, int nShift);

//        ,  ()  b(C)
//string sName -  .
void CreateNK(string sName);

//  4      AutoIt3
void Link(string &asProperties[]);


